"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-311/rdkix_install/share/RDKix/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d32e80>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d32fc0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d32f20>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d33060>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d33100>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d331a0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d33240>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d332e0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d33380>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d33420>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d334c0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d33560>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d33600>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d336a0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d33740>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d337e0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d33880>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d33920>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d339c0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d33a60>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d33b00>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d33ba0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d33c40>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d33ce0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d33d80>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d33e20>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d33ec0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d33f60>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d88040>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d880e0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d88180>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d88220>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d882c0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d88360>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d88400>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d884a0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d88540>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d885e0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d88680>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d88720>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d887c0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d88860>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d88900>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d889a0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d88a40>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d88ae0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d88b80>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d88c20>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d88cc0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d88d60>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d88e00>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d88ea0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d88f40>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d88fe0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d89080>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d89120>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d891c0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d89260>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d89300>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d893a0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d89440>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d894e0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d89580>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d89620>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d896c0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d89760>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d89800>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d898a0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d89940>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d899e0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d89a80>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d89b20>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d89bc0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d89c60>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d89d00>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d89da0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d89e40>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d89ee0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d89f80>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d8a0c0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d8a020>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d8a160>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d8a200>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d8a2a0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffff72d8a340>)]
name: str = 'fr_HOCCN'
